declare const _default: {
    rules: {
        'no-require': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"importInsteadOfRequire", import("./rules/no-require").TOptions, import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        'no-commonjs-dynamic-require': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"requireShouldBeLiteral", [], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        'no-commonjs-exports': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noCommonJSExports", [], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        'no-commonjs-module-exports': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noCommonJsModuleExports", [], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        'no-esm-export-default': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"noExportDefault", [], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
        'no-esm-dynamic-import': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<import("./rules/no-esm-dynamic-import").TMessageIds, [], import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleListener>;
    };
    configs: {
        'node-js-with-ts': Partial<import("eslint").ESLint.ConfigData<import("eslint").Linter.RulesRecord>>;
        'node-ts-only': Partial<import("eslint").ESLint.ConfigData<import("eslint").Linter.RulesRecord>>;
    };
};
export = _default;
