import type { Node } from '@babel/types';
declare type TPropertyType<TObject, TProperty extends keyof TObject> = TObject[TProperty];
declare type TTypeOfPropertyType = TPropertyType<Node, 'type'>;
export declare type TBabelParserAstNodeTypes = {
    [key in TTypeOfPropertyType]: key;
};
/** This support Node types that do exist in legacy parsers, although in the context of typescript it should not matter */
export declare const CEBABEL_PARSER_AST_NODE_TYPES: TBabelParserAstNodeTypes;
export {};
