declare type TSeparator = ' ' | '_' | '-';
declare type TKebabCaseSeparator = '-';
export declare type TCamelToKebabCase<S extends string> = S extends `${infer T}${infer U}` ? `${T extends Capitalize<T> ? TKebabCaseSeparator : ''}${Lowercase<T>}${TCamelToKebabCase<U>}` : S;
export declare type TSnakeCaseToKebabCase<S extends string> = S extends `${TSeparator}${infer Suffix}` ? TSnakeCaseToKebabCase<Suffix> : S extends `${infer Prefix}${TSeparator}` ? TSnakeCaseToKebabCase<Prefix> : S extends `${infer Prefix}${TSeparator}${infer Suffix}` ? TSnakeCaseToKebabCase<`${Prefix}${Capitalize<Suffix>}`> : S;
export {};
