"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CRules = void 0;
const tslib_1 = require("tslib");
const no_commonjs_dynamic_require_1 = tslib_1.__importDefault(require("./no-commonjs-dynamic-require"));
const no_esm_dynamic_import_1 = tslib_1.__importDefault(require("./no-esm-dynamic-import"));
const no_require_1 = tslib_1.__importDefault(require("./no-require"));
const no_commonjs_exports_1 = tslib_1.__importDefault(require("./no-commonjs-exports"));
const no_commonjs_module_exports_1 = tslib_1.__importDefault(require("./no-commonjs-module-exports"));
const no_esm_export_default_1 = tslib_1.__importDefault(require("./no-esm-export-default"));
exports.CRules = {
    // commonjs
    'no-require': no_require_1.default,
    'no-commonjs-dynamic-require': no_commonjs_dynamic_require_1.default,
    'no-commonjs-exports': no_commonjs_exports_1.default,
    'no-commonjs-module-exports': no_commonjs_module_exports_1.default,
    // esm
    'no-esm-export-default': no_esm_export_default_1.default,
    'no-esm-dynamic-import': no_esm_dynamic_import_1.default,
};
//# sourceMappingURL=index.js.map