"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRule = exports.ruleMessageTemplate = void 0;
const tslib_1 = require("tslib");
const utils_1 = require("@typescript-eslint/utils");
var rule_msg_template_1 = require("./rule-msg-template");
Object.defineProperty(exports, "ruleMessageTemplate", { enumerable: true, get: function () { return rule_msg_template_1.ruleMessageTemplate; } });
const repoUrl = 'https://github.com/uniqorg/eslint-extensions';
exports.createRule = utils_1.ESLintUtils.RuleCreator((name) => `${repoUrl}/blob/master/docs/rules/${name}.md`);
tslib_1.__exportStar(require("./predicates"), exports);
tslib_1.__exportStar(require("./misc"), exports);
tslib_1.__exportStar(require("./null-throws"), exports);
//# sourceMappingURL=index.js.map